
# Interface: ICheckboxConfig

Provides properties for a [checkbox](../classes/auwidgetcheckbox.md).

## Hierarchy

* **ICheckboxConfig**

## Index

### Properties

* [autoReset](icheckboxconfig.md#optional-autoreset)
* [enabled](icheckboxconfig.md#optional-enabled)
* [onChange](icheckboxconfig.md#optional-onchange)
* [prompt](icheckboxconfig.md#prompt)
* [value](icheckboxconfig.md#value)

## Properties

### `Optional` autoReset

• **autoReset**? : *boolean*

If `true`, set false as value when step with checkbox displaying twice or more

___

### `Optional` enabled

• **enabled**? : *boolean*

If `true`, displays the checkbox.

___

### `Optional` onChange

• **onChange**? : *Function | Function[]*

A function that is executed after changing a checkbox value.

___

###  prompt

• **prompt**: *string*

A text message associated with the checkbox.

___

###  value

• **value**: *boolean*

This value is `true` if the checkbox is selected.
